/* 颜色样式 */
:root {
  --fs-tkcs-guarantee-bg: #D8B976;
  --fs-tkcs-guarantee-color: #FFFFFF;

  --fs-tkcs-guarantee-span-bg: #FFFFFF;
  --fs-tkcs-guarantee-span-color: #D8B976;
}

/* 主题样式 */
.fs-tkcs-guarantee {
  position: relative;
  width: 100%;
  padding: 90px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: var(--fs-tkcs-guarantee-bg);
  gap: 48px;

  --fs-tkcs-guarantee-ul-li-span-height: 46px;
}


.fs-tkcs-guarantee-title {
  width: 397px;
  color: var(--fs-tkcs-guarantee-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 40px;
  font-style: normal;
  font-weight: 300;
  line-height: 100%;
  /* 40px */
  text-transform: uppercase;
}

.fs-tkcs-guarantee-ul {
  width: min(96%, 1440px);
  display: flex;
  gap: 28px;
  margin: 0;
  padding: 0;
  list-style: none;
}

.fs-tkcs-guarantee-ul li {
  position: relative;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 14px;
  flex: 1 1 calc(100% / 3 - 28px);
}

.fs-tkcs-guarantee-ul-index{
  position: relative;
  display: flex;
  justify-content: center;
  width: 100%;
}
.fs-tkcs-guarantee-ul-index span{
  position: relative;
  display: block;
  padding: 12px;
  max-width: 100%;
  background: var(--fs-tkcs-guarantee-span-bg);
  /* height: var(--fs-tkcs-guarantee-ul-li-span-height); */

  color: var(--fs-tkcs-guarantee-span-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 24px;
  font-style: normal;
  font-weight: 600;
  line-height: 100%;
  /* 24px */
  margin: 0;
  z-index: 10;

  white-space: nowrap; overflow: hidden; text-overflow: ellipsis;
}

.fs-tkcs-guarantee-ul-index::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  height: 1px;
  background: var(--fs-tkcs-guarantee-span-bg);
  z-index: 1;
} 


.fs-tkcs-guarantee-ul-p {
  width: 80%;
  color: var(--fs-tkcs-guarantee-color);
  text-align: center;
  font-family: Rubik;
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
  /* 20px */
  /* 24px */
  padding: 0;
  margin: 0;
}

/* Media Query */
@media (max-width: 1000px) {
  .fs-tkcs-guarantee {
    padding: 5.62rem 2rem;
    gap: 3rem;
    --fs-tkcs-guarantee-ul-li-span-height: 4.625rem;
  }


  .fs-tkcs-guarantee-title {
    width: 33rem;
    font-size: 3rem;
  }

  .fs-tkcs-guarantee-ul {
    width: 100%;
    padding: 0;
    flex-direction: column;
  }

  .fs-tkcs-guarantee-ul li {
    gap: 0.87rem;
  }

  .fs-tkcs-guarantee-ul-index span {
    font-size: 2.5rem;
    padding: 1rem;
  }

  .fs-tkcs-guarantee-ul-p {
    font-size: 1.75rem;
    padding: 0;
  }

}